/******************************************************************************/
/* Projet.............: Pavage de plan                                        */
/* Fichier............: liste.h                                               */
/* Date de cration...: 08/07/2008                                            */
/* Auteur.............: Florian SURET                                         */
/******************************************************************************/

#ifndef _LISTE_H_
#define _LISTE_H_

#include <stdio.h>
#include <stdlib.h>

#include "forme.h"

typedef struct _maillon {
	t_forme* forme;
	struct _maillon* suivant;
} t_maillon;

typedef t_maillon* t_liste;

/* affichage d'une liste */
void afficherListe(const t_liste* liste);

/* ajout d'une forme  une liste */
void ajouterForme(t_liste* liste, t_forme* forme);

/* suppression d'une forme */
t_forme* supprimerForme(t_liste* liste);

#endif
